org.apache.sling.hc.samples.impl

## Class SlowHealthCheckSample

- java.lang.Object
- - org.apache.sling.hc.samples.impl.SlowHealthCheckSample

All Implemented Interfaces:
  org.apache.sling.hc.api.HealthCheck

    @Properties(value={@Property(name="hc.name"),@Property(name="hc.tags",unbounded=ARRAY),@Property(name="hc.mbean.name")})
    @Service(value=org.apache.sling.hc.api.HealthCheck.class)
    public class SlowHealthCheckSample
    extends Object
    implements org.apache.sling.hc.api.HealthCheck

Sample Health Check that takes N msec to execute, used to demonstrate execution timeouts and caching.

### Field Summary

### Fields inherited from interface org.apache.sling.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, MBEAN_NAME, NAME, TAGS`

### Constructor Summary

Constructors
Constructor and Description
`SlowHealthCheckSample()`

### Method Summary

Methods
`protected void` `activate(Map<String,Object> config)`
`protected void` `deactivate(Map<String,Object> config)`
`org.apache.sling.hc.api.Result` `execute()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SlowHealthCheckSample

    public SlowHealthCheckSample()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### activate

    @Activate
    protected void activate(Map<String,Object> config)

#### deactivate

    @Deactivate
    protected void deactivate(Map<String,Object> config)

#### execute

    public org.apache.sling.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.sling.hc.api.HealthCheck`